Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait TypersTracking extends AnyRef
  Definition Classes
    typechecker
- typingStack

o

scala.tools.nsc.typechecker.TypersTracking

# typingStack 

###

#### object typingStack

Source
  TypersTracking.scala

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. typingStack
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
11.  def indented(s: String): String
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def nextTyped(tree: Global.Tree, mode: Mode, pt: Global.Type, context: Analyzer.Context)(body: ⇒ Global.Tree): Global.Tree
15.  def nextTypedInternal(tree: Global.Tree, pushFn: ⇒ Unit)(body: ⇒ Global.Tree): Global.Tree
16.  final def notify(): Unit
    Definition Classes
      AnyRef
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
18.  val out: PrintWriter
19.  def pop(t: Global.Tree): Unit
20.  final def printTyping(s: ⇒ String): Unit
    Annotations
      @inline()
21.  final def printTyping(tree: Global.Tree, s: ⇒ String): Unit
    Annotations
      @inline()
22.  def push(t: Global.Tree): Unit
23.  final def runWith[T](t: Global.Tree)(body: ⇒ T): T
    Annotations
      @inline()
24.  def show(s: String): Unit
25.  def showAdapt(original: Global.Tree, adapted: Global.Tree, pt: Global.Type, context: Analyzer.Context): Unit
26.  def showPop(typedTree: Global.Tree): Global.Tree
27.  def showPush(tree: Global.Tree, mode: Mode, pt: Global.Type, context: Analyzer.Context): Unit
28.  def showPush(tree: Global.Tree, context: Analyzer.Context): Unit
29.  def showTyped(tree: Global.Tree): Unit
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped